Subject: JMP> Job Monitoring MIB V0.82 posted and sent as an I-D

From: Tom Hastings <[email-masked]>
Date: Wed, 11 Jun 1997 01:28:27 PDT

I've posted an updated Job Monitoring MIB V0.82 with the agreements
from San Diego and the recent telecons on jmJobState and jmJobStateReasons1.

I've also sent it as our second Internet-Draft:
<draft-ietf-printmib-job-monitor-01.txt>

ftp://ftp.pwg.org/pub/pwg/jmp/mibs/
-rw-r--r--   1 pwg      pwg       117479 Jun 11 08:21 jmp-mib.mib
-rw-r--r--   1 pwg      pwg       190215 Jun 11 08:23 jmp-mib.txt
-rw-r--r--   1 pwg      pwg       424960 Jun 11 02:27 jmp-mibr.doc
-rw-r--r--   1 pwg      pwg       372625 Jun 11 02:28 jmp-mibr.pdf
-rw-r--r--   1 pwg      pwg       374018 Jun 11 02:28 jmp-mibr.pdr
-rw-r--r--   1 pwg      pwg       245741 Jun 11 02:28 jmp-mibv.pdf
-rw-r--r--   1 pwg      pwg         7835 Jun 11 02:28 jmp.dic

The jmp-mib.mib is the MIB that compiles (just BEGIN to END and no page numbers)
The jmp-mib.txt is the Internet-Draft
The jmp-mibr.doc is with revision marks.
The jmp-mibr.pdf is with black revision marks
The jmp-mibr.pdr is with red revision marks
The jmp-mibv.pdf is variable pitch font without revision marks.

Please make comments on the jmp-mibv.pdf using its line numbers.

I'll update the change history tommorrow and post it separately.

Here is the table of contents for the MIB specification part:

11. MIB SPECIFICATION	24
Textual conventions for this MIB module	26
JmTimeStampTC - simple time in seconds	26
JmJobSourcePlatformTypeTC - operating system platform definitions	26
JmFinishingTC - device finishing definitions	27
JmPrintQualityTC - print quality	28
JmPrinterResolutionTC - printer resolution	29
JmTonerEconomyTC - toner economy setting	30
JmMediumTypeTC - medium type definitions	30
JmJobStateTC - job state definitions	31

JmAttributeTypeTC - attribute type definitions	35
other	39
unknown	39
Job State attributes	39
jobStateReasons2	41
jobStateReasons3	41
jobStateReasons4	41
deviceAlertCode	41
processingMessage	42
Job Identification attributes	42
serverAssignedJobName	43
jobName	43
jobServiceTypes	43
jobOwner (MANDATORY)	42
jobAccountName	42
jobSourceChannelIndex	44
jobSourcePlatformType	44
submittingServerName	44
submittingApplicationName	45
jobOriginatingHost	45
deviceNameRequested	45
queueNameRequested	45
physicalDevice	45
numberOfDocuments	46
fileName	46
documentName	46
jobComment	46
documentFormatIndex	46
documentFormat	47
Job Parameter attributes	47
jobPriority	47
jobProcessAfterDateAndTime	48
jobHoldUntil	48
outputBin	48
sides	49
finishing	49
Image Quality attributes (requested and used)	49
printQualityRequested	49
printQualityUsed	49
printerResolutionRequested	49
printerResolutionUsed	49
tonerEcomonyRequested	49
tonerEcomonyUsed	49
tonerDensityRequested	50
tonerDensityUsed	50
Job Progress attributes (requested and consumed)	50
jobCopiesRequested	50
jobCopiesCompleted	50
documentCopiesRequested	50
documentCopiesCompleted	50
jobKOctetsTransferred	51
Impression attributes (requested and consumed)	53
impressionsSpooled	53
impressionsSentToDevice	53
impressionsInterpreted	53
impressionsCompletedCurrentCopy	53
fullColorImpressionsCompleted	54
highlightColorImpressionsCompleted	54
Page attributes (requested and consumed)	54
pagesRequested	54
pagesCompleted	54
pagesCompletedCurrentCopy	54
Sheet attributes (requested and consumed)	55
sheetsRequested	55
sheetsCompleted	55
sheetsCompletedCurrentCopy	55
Resource attributes (requested and consumed)	55
mediumRequested	55
mediumConsumedName	56
colorantRequested	56
colorantConsumed	56
Time attributes (set by server or device)	56
jobSubmissionToServerTime	57
jobSubmissionToDeviceTime	57
timeSinceJobWasSubmittedToDevice	57
jobStartedBeingHeldTimeStamp	57
jobStartedProcessingTime	57
timeSinceStartedProcessing	57
jobCompletedTime	58
timeSinceCompleted	58
jobProcessingCPUTime	58

JmJobServiceTypesTC - bit encoded job service type definitions	58
JmJobStateReasons1TC - additional information about job states	60
JmJobStateReasons2TC - More additional information about job states	64
JmJobStateReasons3TC - More additional information about job states	69
JmJobStateReasons4TC - More additional information about job states	70

The General Group (Mandatory)	73
jmGeneralNumberOfActiveJobs	73
jmGeneralOldestActiveJobIndex	74
jmGeneralNewestActiveJobIndex	74
jmGeneralJobPersistence	76
jmGeneralAttributePersistence	76
jmGeneralJobSetName	76

The Job ID Group (Mandatory)	77
jmJobSubmissionID	78
jmJobSetIndex	79
jmJobIndex	80

The Job Group (Mandatory)	80
jmJobState	81
jmJobStateReasons1	82
jmNumberOfInterveningJobs	83
jmJobKOctetsRequested	83
jmJobKOctetsProcessed	84
jmJobImpressionsRequested	85
jmJobImpressionsCompleted	85

The Attribute Group (Mandatory)	85
jmAttributeTypeIndex	87
jmAttributeInstanceIndex	88
jmAttributeValueAsInteger	88
jmAttributeValueAsOctets	89